# ext/Version File Reference

`#include <osgText/Export>`

Include dependency graph for ext/Version:

This graph shows which files directly or indirectly include this file:

## Defines

#define | OSGTEXT_VERSION 1

## Functions

OSGTEXT_EXPORT const char * | osgTextGetVersion ()
| getVersion_osg() returns the library version number.
OSGTEXT_EXPORT const char * | osgTextGetLibraryName ()
| osgTextGetLibraryName() returns the library name in human friendly form.

## Define Documentation

#define OSGTEXT_VERSION 1

## Function Documentation

OSGTEXT_EXPORT const char* osgTextGetLibraryName | ( |  | ) |

| osgTextGetLibraryName() returns the library name in human friendly form.

OSGTEXT_EXPORT const char* osgTextGetVersion | ( |  | ) |

getVersion_osg() returns the library version number.

Numbering convention : osg_src-0.8-31 will return 0.8.31 from getVersion_osg.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

     #
     # Check for the OpenSceneGraph (OSG) library
     #
     AC_CHECK_LIB(osg, osgTextGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph library not found. See http://www.openscenegraph.org)],)